#version 330 core

// code from http://www.opengl-tutorial.org/intermediate-tutorials/tutorial-11-2d-text/

uniform vec3 color;

// Interpolated values from the vertex shaders
in vec2 UV;

// Ouput data
out vec4 fragColor;

// Values that stay constant for the whole mesh.
uniform sampler2D myTextureSampler;

void main(){

	fragColor = texture2D( myTextureSampler, UV );
	fragColor *= vec4(color, 1.0);
	
	
}