#version 330

layout(location = 0) in vec3 position;

out vec3 posOut;
out vec3 colOut;

uniform mat4 modelMatrix;
uniform mat4 PV;
uniform vec3 color;

void main()
{
	posOut = position;
	colOut = color;
	gl_Position = PV * modelMatrix * vec4(position, 1);
}